<?php
/*
Plugin Name: Change Custom Admin Footer Text
Plugin URI:  https://www.inthiscode.com/
Description: Change admin footer text with your custom text to give your clients a more personalized WordPress website.
Version:     1.3
Author:      InThisCode
Author URI:  http://www.inthiscode.com/
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: caft-itc
*/
defined( 'ABSPATH' ) or die( 'You are lost.' );

// Admin menu
add_action( 'admin_menu', 'caft_itc_add_admin_menu' ); // Add Admin Menu
if(!function_exists('caft_itc_add_admin_menu')){
	function caft_itc_add_admin_menu(  ) { 
		add_options_page( 'Change Admin Footer Text', 'Change Admin Footer Text', 'manage_options', 'caft_itc', 'caft_itc_options_page' );
	}
}
function caft_itc_options_page(  ) { 
	?>
	<form action='options.php' method='post'>
		<h1>Change Admin Footer Text</h1>
		<?php
		settings_fields( 'caft_itc_pluginPage' );
		do_settings_sections( 'caft_itc_pluginPage' );
		submit_button();
		?>
	</form>
	<?php
}

// settings link
function caft_itc_plugin_settings_link( $links ) {
    $settings_link = '<a href="options-general.php?page=caft_itc">' . __( 'Settings' ) . '</a>';
    array_push( $links, $settings_link );
  	return $links;
}
$plugin = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$plugin", 'caft_itc_plugin_settings_link' );

// Admin Settings
add_action( 'admin_init', 'caft_itc_settings_init' ); 
function caft_itc_settings_init() {
	register_setting( 'caft_itc_pluginPage', 'caft_itc_settings' );
	
	// Add section
	add_settings_section('caft_itc_pluginPage_section', __( 'Settings', 'caft-itc' ), 'caft_itc_settings_section_callback', 'caft_itc_pluginPage');
	
	// Enable plugin
	add_settings_field('caft_itc_enable', __( 'Enable Plugin', 'caft-itc' ), 'caft_itc_enable_render', 'caft_itc_pluginPage', 'caft_itc_pluginPage_section');
	
	// Custom Left Footer Text
	add_settings_field('caft_itc_custom_footer', __( 'Custom Footer Text', 'caft-itc' ), 'caft_itc_custom_footer_render', 'caft_itc_pluginPage', 'caft_itc_pluginPage_section');
}

// Callback
function caft_itc_settings_section_callback(  ) { 
	echo __( '', 'caft-itc' );
}

$caft_itc_options = get_option( 'caft_itc_settings' );

// Display enable checkbox
function caft_itc_enable_render() {
	global $caft_itc_options;
	?>
    <input type='checkbox' name='caft_itc_settings[caft_itc_enable]' <?php  if ( isset( $caft_itc_options['caft_itc_enable'] ) && $caft_itc_options['caft_itc_enable'] == '1' ) {echo 'Checked';} ?> value='1'>
    <?php
}

// Custom Left Footer Text Area
function caft_itc_custom_footer_render() {
	global $caft_itc_options;
	$content = isset( $caft_itc_options['caft_itc_custom_footer'] ) ?  $caft_itc_options['caft_itc_custom_footer'] : false;
	wp_editor( $content, 'caft_itc_custom_footer', array( 
        'textarea_name' => 'caft_itc_settings[caft_itc_custom_footer]',
        'media_buttons' => false,
    ) );
}

// If checkbox checked
if ( isset( $caft_itc_options['caft_itc_enable'] ) && $caft_itc_options['caft_itc_enable'] == '1' ) {
	function caft_itc_change_footer_admin () {
 		global $caft_itc_options;
		echo $caft_itc_options['caft_itc_custom_footer']; 
	}
	add_filter('admin_footer_text', 'caft_itc_change_footer_admin');
}